JasPer 4.2.9 |

Loading...
Searching...
No Matches
jas_cm.h File Reference

JasPer Color Management. More...

`#include <jasper/jas_config.h>`
`#include <jasper/jas_types.h>`
`#include <jasper/jas_icc.h>`

Go to the source code of this file.

## Classes
struct | jas_cmcmptfmt_t
| Component format. More...
struct | jas_cmpixmap_t
| Pixmap (i.e., multicomponent) format. More...
struct | jas_cmpxformops_t
| Transform operations. More...
struct | jas_cmshapmatlut_t
| Shaper matrix look-up table (LUT). More...
struct | jas_cmshapmat_t
| Shaper matrix. More...
struct | jas_cmshaplut_t
| Shaper look-up table (LUT). More...
struct | jas_cmclrspcconv_t
| Color space conversion. More...
struct | jas_cmpxform_s
| Transform class. More...
struct | jas_cmpxformseq_t
| Primitive transform sequence class. More...
struct | jas_cmxform_t
| Primitive transform class. More...
struct | jas_cmprof_t

## Macros
#define | JAS_CMXFORM_NUMINTENTS 4
| Number of rendering intents.
#define | jas_clrspc_create(fam, mbr)
| Create a color space.
#define | jas_clrspc_fam(clrspc)
| Get the family of a color space.
#define | jas_clrspc_mbr(clrspc)
| Get the (family) member of a color space.
#define | jas_clrspc_isgeneric(clrspc)
| Test if a color space is generic.
#define | jas_clrspc_isunknown(clrspc)
| Test if a color space is unknown.
#define | JAS_CLRSPC_FAM_UNKNOWN 0
| Color space families.
#define | JAS_CLRSPC_UNKNOWN JAS_CLRSPC_UNKNOWNMASK
| Specific color spaces.
#define | JAS_CLRSPC_GENRGB jas_clrspc_create(JAS_CLRSPC_FAM_RGB, 0)
| Generic color spaces.
#define | jas_cmprof_clrspc(prof)
| Get the color space associated with a color-management profile.

## Typedefs
typedef unsigned | jas_clrspc_t
| Color space.
typedef double | jas_cmreal_t
typedef struct jas_cmpxform_s | jas_cmpxform_t
| Transform class.

## Enumerations
enum | jas_cmxform_op_t
| Transform operations. More...
enum | jas_cmxform_intent_t
| Rendering intents. More...
enum | jas_cmxform_optm_t
| Transform optimization. More...

## Functions
JAS_EXPORT jas_cmprof_t * | jas_cmprof_createfromiccprof (const jas_iccprof_t *iccprof)
| Create a color-management profile from an ICC profile.
JAS_EXPORT jas_cmprof_t * | jas_cmprof_createfromclrspc (jas_clrspc_t clrspc)
| Create a color-management profile from a color space.
JAS_EXPORT void | jas_cmprof_destroy (jas_cmprof_t *prof)
| Destroy a color-management profile.
JAS_EXPORT jas_cmprof_t * | jas_cmprof_copy (const jas_cmprof_t *prof)
| Copy a color-management profile.
JAS_EXPORT jas_iccprof_t * | jas_iccprof_createfromcmprof (const jas_cmprof_t *prof)
| Create a ICC profile from a CM profile.
JAS_EXPORT jas_cmxform_t * | jas_cmxform_create (const jas_cmprof_t *inprof, const jas_cmprof_t *outprof, const jas_cmprof_t *proofprof, jas_cmxform_op_t op, jas_cmxform_intent_t intent, jas_cmxform_optm_t optimize)
| Create a transform from a CM profile.
JAS_EXPORT void | jas_cmxform_destroy (jas_cmxform_t *xform)
| Destroy a transform.
JAS_EXPORT int | jas_cmxform_apply (const jas_cmxform_t *xform, const jas_cmpixmap_t *in, jas_cmpixmap_t *out)
| Apply a transform to data.
unsigned | jas_clrspc_numchans (jas_clrspc_t clrspc)
| Get the number of channels associated with a particular color space.

## Detailed Description

JasPer Color Management.